scim::Node Class Referenceabstract
SignalSlot

Base class for classes managing slots. More...

`#include <scim_connection.h>`

## Public Member Functions

Slot * | slot ()
| Returns a pointer to the slot held by this node.
virtual void | block ()=0
| Block signal emission to the slot until unblock is called.
virtual void | unblock ()=0
| Unblock the slot so signal emmissions can be received.
virtual void | disconnect ()=0
| Disconnect the slot. The slot will no longer receive signal emissions.
Public Member Functions inherited from scim::ReferencedObject
bool | is_referenced () const
void | ref ()
| Increase an object's reference count by one.
void | unref ()

## Protected Member Functions

| Node (Slot *slot)
| Constructor.
virtual | ~Node ()
| Destructor.
Protected Member Functions inherited from scim::ReferencedObject
| ReferencedObject ()
| Constructor.
virtual | ~ReferencedObject ()=0
| Destructor.
void | set_referenced (bool reference)

## Detailed Description

Base class for classes managing slots.

A node connects a slot to its Connection class, the class returned from a signal's connect() method.

## Constructor & Destructor Documentation

## Node()

scim::Node::Node | ( | Slot * | slot | ) |

protected

Constructor.

References slot().

## ~Node()

virtual scim::Node::~Node | ( |  | ) |

protected virtual

Destructor.

## Member Function Documentation

## slot()

Slot * scim::Node::slot | ( |  | ) |

inline

Returns a pointer to the slot held by this node.

Referenced by Node(), and scim::SlotNode::Signal.

## block()

virtual void scim::Node::block | ( |  | ) |

pure virtual

Block signal emission to the slot until unblock is called.

Implemented in scim::SlotNode.

## unblock()

virtual void scim::Node::unblock | ( |  | ) |

pure virtual

Unblock the slot so signal emmissions can be received.

Implemented in scim::SlotNode.

## disconnect()

virtual void scim::Node::disconnect | ( |  | ) |

pure virtual

Disconnect the slot. The slot will no longer receive signal emissions.

Implemented in scim::SlotNode.

The documentation for this class was generated from the following file:

- scim_connection.h